function [gini] = Gini(r)

    %%% Computes Gini coefficient of an income distribution

    r = sort(r);
    m = length(r);
    
    lorenz = cumsum(r)/sum(r);
    
    x = (1/m)*ones(m,1);
    x = cumsum(x); 

    gini = 1-2*trapz(x,lorenz);
    
end