function [l_n,varphi_n] = ability_matchr(r,N,k,Q,tau,Fn)
    
    %%% Solves for l and varphi for each n, conditional on an r that needs
    %%% to be matched.
    
    global gamma beta phi
    
    NN = max(N);
    N  = [0;N];
    
    %%% 1. Labor allocations
    r_d  = k*r^(1-phi);
    l_n  = ( beta*(1-phi)*r_d ).^(1/gamma);
    l_n  = l_n.*((r_d - cumsum([0;Fn]))>0) + 10000000.*((r_d - cumsum([0;Fn]))<0);
    
    %%% 2. Ability draws
    ups      = 1+N*tau^(-beta/(1-beta));
    varphi_n = (1./l_n) .* (r ./ ( ups.^(1-beta) * Q^(1-beta) ) ).^(1/beta);
      
end
   