function [modstats] = mod_statistics(varphi,Q,k,tau,tau_aut,Fn,phi_trade,phi_aut,rho_grid)

    %%% Computes welfarist and costly redistribution modified statistics.
    
    global phi
    
    %%% Equilibria
    phi = phi_trade;
    [nt,~,~,rt,~,kt,~,~,utott]        = k_and_Q_equilibrium(varphi,Q,k,tau,Fn);
    phi = phi_aut;
    [na,~,~,ra,~,ka,~,~,utota]        = k_and_Q_equilibrium(varphi,Q,k,tau_aut,Fn);
    phi = 0;
    [ntCR,~,~,rtCR,~,~,~,~,utotCR]    = k_and_Q_equilibrium(varphi,Q,k,tau,Fn);
    [ntCRa,~,~,rtCRa,~,~,~,~,utotCRa] = k_and_Q_equilibrium(varphi,Q,k,tau_aut,Fn);
    
    %%% Modified Statistics
    modstats = [];
    for nrho = 1:1:length(rho_grid)
        ms       = (mean(utott.^(1-rho_grid(nrho)))^(1/(1-rho_grid(nrho)))/mean(utota.^(1-rho_grid(nrho)))^(1/(1-rho_grid(nrho)))-1)/(mean(utott)/mean(utota)-1);
        modstats = [modstats,ms];
    end
    
    modstats = [modstats,0,(mean(utott)/mean(utota)-1)/(mean(utotCR)/mean(utotCRa)-1)];
   
end